function [] = disp(obj,U)


Nz=obj.Nz;
Nelmt=obj.Nelmt;
Npoly=obj.Npoly;
Nmu=obj.Nmu;
Ppostp=obj.Ppostp;

Nzd =(Npoly*Nelmt+1)*Nz;
mu = U(Nzd+1:Nzd+Nmu);

Ry=mu(1);  % reaction force
l=mu(2)   % true elastica length
 
% value at sample point
x_N    =U(1:Nz:Nzd);
y_N    =U(2:Nz:Nzd);
theta_N=U(3:Nz:Nzd);
m_N    =U(4:Nz:Nzd);

% value inside element (11 point/element)
iG=1; 
iN=1;
x=zeros(10*Nelmt+1,1);
y=zeros(10*Nelmt+1,1);
theta=zeros(10*Nelmt+1,1);
m= zeros(10*Nelmt+1,1);

for i=1:Nelmt
LG= iG:iG+10;
LN= iN:iN+Npoly;
iG=iG+10; 
iN=iN+Npoly;

x(LG)    = Ppostp*x_N(LN) ;   
y(LG)    = Ppostp*y_N(LN) ;   
theta(LG)= Ppostp*theta_N(LN) ;
m(LG)    = Ppostp*m_N(LN)  ;   
end
hh=figure(3);  %set(hh,'Position',[1,1,1000,800]);

eclam=0.05;
xclam=[ 0 -0.2 -0.2 0  0]*eclam;
yclam=[ 1 1  -1 -1  1 ]*eclam;
c1=-0.3;
c2=0.02 ;
xmur=[0:0.02:1];
ymur=c2*cos(2*pi*xmur)+c1;
%ymur=c2*xmur+c1;
plot(xclam,yclam,'g',x,y,'b',xmur,ymur,'r','Linewidth',2) 
axis equal


