function [whatfound,idxsection,Apoint] = getindexes(obj)
figure(2);
[x,y]=ginput(1);  % get the clicked point 
d = inf;
nbp = length(obj.ChckPoint);

% for each checkpoint, look for the distance between all the point used
% in the ProjBif Diag (regular and bif) and the cliked point

for i=1:nbp
   X = get(obj.ChckPoint{i},'X');   % X(nbpts,ncurve)
   Y = get(obj.ChckPoint{i},'Y');   % Y(nbpts,ncurve)
   D = abs(X - x) + abs(Y - y);     % D(nbpts,ncurve) distance of each point
                                    % of the projBifDiag with the clicked point
   [dist,idx] =  min(D) ;  %  dist(ncurve) minimal value for each column of D
                           %  idx(ncurve) index in each column
   [mindist,k]=min(dist);  % mindist : min of D , found on row k of D                  
        if (mindist < d)     
        	d = mindist;  
            whatfound  = 'regular';
            idxsection = i ;
            idxpoint   = idx(k); 
            idxcurve   = k ;
            A          = get(obj.ChckPoint{idxsection},'A'); % A(nbpts)
            Apoint     = A(idxpoint);
        end 
        
  if strcmp(get(obj.ChckPoint{i},'BifStatus'), 'simplebif')==1
     Xbif = get(obj.ChckPoint{i},'Xbif');   % Xbif(ncurve)
     Ybif = get(obj.ChckPoint{i},'Ybif');   % Ybif(ncurve)
     Dbif = abs(Xbif - x) + abs(Ybif - y);  % Dbif(ncurve) distance of each point
                          % bif point of the projBifDiag with the clicked point
   [mindist,k]=min(Dbif);  % mindist : min of Dbif , found on row k of D                  
        if (mindist < d)     
        	d = mindist;  
            whatfound  = 'simplebif';
            idxsection = i ;
            idxpoint   = 0;
            idxcurve   = k ;
            Apoint     = 0 ;
            
        end       
  end     
        
end


switch whatfound
    case 'regular'    
    disp([' Regular point selected : Section ', num2str(idxsection), ...
       ' Point ' , num2str(idxpoint),' Curve ' , num2str(idxcurve) ]); 
   
    case 'simplebif'
       disp(['Bifurcation point selected : Section ', num2str(idxsection), ...
      ' Curve ' , num2str(idxcurve)]) ;
end

end

