function R = R(obj,U) 

if isa(U,'Taylor')
 R=Taylor(get(obj,'order'),zeros(2,1));
else
 R=zeros(2,1);
end
u1=U(1); u2=U(2); lambda=U(3);

R(1) = 2*u1 - u2 + 100*u1/(1+u1+u1*u1) - lambda;
R(2) = 2*u2 - u1 + 100*u2/(1+u2+u2*u2) - (lambda+obj.mu);
  
