function sys = set(sys,varargin)
% @SYS/SET: Set sys properties and return the updated object
propertyArgin = varargin;
while length(propertyArgin) >=2
    prop = propertyArgin{1};
    val = propertyArgin{2};
    propertyArgin=propertyArgin(3:end);
    switch prop
        case 'name'
            sys.name = val;
            disp(['Problem: ' val]);
        case 'order'
           sys.order = val;
           disp(['series''s order = ' num2str(sys.order)]);
        case 'ANMthreshold'
           sys.ANMthreshold = val;
        case 'NRitemax'
            sys.NRitemax = val;
            disp(['Max number of iteration for NR corrections = ' num2str(sys.itemax)]);
        case 'NRthreshold'
            sys.NRthreshold = val;
        case 'NRmethod'
            sys.NRmethod = val;
        case 'arclengthdef'
            if (length(val(1,:)) > 1)
            errordlg('Arclengthdef  should a column vector');
            end
            sys.arclengthdef = val;

    end
end


